# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LaTeX/Driver.pm) perl(LaTeX/Encode.pm) perl(Module/Build.pm) perl(Number/Format.pm) perl(Pod/Usage.pm) perl(autodie.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    LaTeX-Table
%define upstream_version v1.0.6

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_9

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Automatic generation of LaTeX tables
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module/Pluggable.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Policy/FollowPBP.pm)
BuildRequires: perl(MooseX/FollowPBP.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Template.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/NoWarnings.pm)
BuildRequires: perl(Text/CSV.pm)
BuildRequires: perl(Text/Wrap.pm)
BuildRequires: perl(version.pm)

BuildArch: noarch
Source44: import.info


%description
LaTeX makes professional typesetting easy. Unfortunately, this is not
entirely true for tables and the standard LaTeX table macros have a rather
limited functionality. This module supports many CTAN packages and hides
the complexity of using them behind an easy and intuitive API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man1/*
%perl_vendor_privlib/*
/usr/bin/csv2pdf
/usr/bin/ltpretty


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> v1.0.6-alt2_9
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> v1.0.6-alt2_8
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> v1.0.6-alt2_7
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> v1.0.6-alt2_6
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> v1.0.6-alt2_5
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> v1.0.6-alt2_4
- rebuild to get rid of unmets

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> v1.0.6-alt1_4
- import

